Mise à jour MySQL 5.6 vers MySQL 5.7 sur Ubuntu 14.04

Ce sujet est résolu
Default
,

Bonjour,

J'espère que ce forum traite aussi des installations MySQL et pas que de son utilisation.

Voici mon problème:
Je suis sur Ubuntu 14.04 où était installé à l'origine MySQL 5.5, mais je voudrais installer la version 5.7 afin de profiter des nouvelles commandes Json.
J'ai donc lancé une mise à jour version la version 5.6 en suite ce tuto: https://askubuntu.com/questions/750498/mysql-5-5-update-to-mysql-5-7
(Juste la dernière commande où il fallait que je précise mysql-server-5.6), je suis actuellement en version 5.6.33 et tout roule.

Je souhaite donc maintenant passer en version 5.7 et c'est là que ça pose problème.
Si je suis les différents tutos, je lance "sudo dpkg -i mysql-apt-config_0.8.1-1_all.deb", je choisis ma version MySQL souhaitée (maintenant 5.7), puis un apt-get update et enfin un install.
Seul problème, si je lance "apt-get install mysql-server", il veut absolument m'installer la version 5.5, et je n'ai pas de package dans le cache portant le nom "mysql-server 5.7" (je l'ai pour la version 5.6 par contre).

Bref, je ne vois pas comment sortir de cette situation, si vous avez une idée...

Par avance, merci!

4 Réponse

17162
,

Bonjour.
Ici par exemple : MySQL :: Download MySQL APT Repository.

Default
,

Une partie de réponse après y avoir passé "un peu" de temps... :)

D'après ce post https://askubuntu.com/questions/1160472/did-mysql-remove-support-for-installing-mysql-5-7-on-ubuntu-14-04 (voir à la fin), MySQL 5.7.27 n'est plus proposée pour Ubuntu 14.04.
L'utilisateur dit avoir dû télécharger la version 5.7.26 pour ensuite lancer l'installation.
Ma question est du coup: où télécharger ça et l'installer ensuite? Je n'ai pour le moment rien trouver...

Merci! :)

Default
,

Bonjour,

Merci mais en fait je suis déjà allé ici et j'ai déjà téléchargé le fichier mais visiblement il ne propose plus que la version 5.7.27 et donc plus rien sur Ubuntu 14.04. :(
Je vais voir sur je peux mettre à jour ma version en 16.04, ça règlerait le problème (et ça serait mieux car la version 14.04 n'est plus suivie).

Default
,

Bonjour,

J'ai finalement sauté le pas et j'ai passé la mise à jour 16.04, et comme ça c'était très bien passé j'ai continué et je suis maintenant en 18.04 LTS, je suis normalement tranquille pour un moment. :)
Et j'ai donc MySQL 5.7.27 donc parfait!... ou presque car je vais maintenant poser une question sur le forum MySQL... ;)